Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 445)
+++ WAeUP_SRP/trunk/Students.py	(revision 446)
@@ -103,6 +103,7 @@
                 s = getattr(self,sid)
                 s.invokeFactory('StudentAdmission','admission')
-                s.admission.getContent().edit(mapping={'Title': 'Admission Data'})
+                da = {'Title': 'Admission Data'}
                 s.invokeFactory('StudentPersonal','personal')
+                da['jamb_reg_no'] = student.get('EntryRegNo')
                 sp = s.personal
                 d = {'Title': 'Personal Data'}
@@ -111,5 +112,4 @@
                 dc = {'Title': 'Clearance Data'}
                 dc['matric_no'] = matric_no
-                dc['jamb_reg_no'] = student.get('EntryRegNo')
                 lga = student.get('State') + ' / ' + student.get('LGA')               
                 dc['lga'] = lga
@@ -125,4 +125,5 @@
                 d['campus_address'] = student.get('CampusAddress')
                 d['phone'] = student.get('PhoneNumber')
+                s.admission.getContent().edit(mapping=da)
                 sp.getContent().edit(mapping=d)
                 sc.getContent().edit(mapping=dc)
@@ -298,6 +299,4 @@
         reg_nr = self.getId()[1:]
         data = getattr(self,'personal',None)
-        if data is None:
-            data = getattr(self,'jamb',None)
         if data:
             content = data.getContent()
@@ -305,63 +304,4 @@
         return self.title
 
-    def Description(self):
-        """compose description"""
-        data = getattr(self,'PERSONAL',None)
-        if data is None:
-            return "none"
-        if data:
-            content = data.getContent()
-            return "%s" % (content.description)
-        return self.description
-
-    security.declareProtected(View,"setScratchCardData")
-    def setScratchCardData(self,ident,ds):
-        """set this data """
-        dict = {'%s_sc_pin' % ident : ds.get('sc_pin'),
-                '%s_sc_id' % ident : ds.get('sc_id'),
-                '%s_sc_value' % ident : ds.get('sc_value'),
-                '%s_date' % ident : ds.get('sc_date'),
-                }
-
-        old_user = self.portal_membership.getAuthenticatedMember()
-        if self.portal_membership.isAnonymousUser():
-            tmp_user = CPSUnrestrictedUser('s%(jamb_id)s' % ds, '',
-                                       ['StudentManager'], '')
-            tmp_user = tmp_user.__of__(self.acl_users)
-            newSecurityManager(None, tmp_user)
-        #print str(dict)
-        self.edit(mapping=dict)
-        newSecurityManager(None, old_user)
-
-    security.declareProtected(View,"memberIsOwner")
-    def memberIsOwner(self):
-        """is the current user the owner"""
-        member = self.portal_membership.getAuthenticatedMember()
-        #print member, self.getId(),self.aq_parent.getId()
-        if self.aq_parent.getId() == str(member):
-            return True
-        return False
-
-    security.declareProtected(View,"accommodationIsBooked")
-    def accommodationIsBooked(self):
-        """is the accommodation booked"""
-        if self.accommodation_sc_pin != '':
-            return True
-        return False
-
-    security.declareProtected(View,"accommodationIsPayed")
-    def accommodationIsPayed(self):
-        """is the accommodation payed"""
-        if self.hostel_fee_sc_pin != '':
-            return True
-        return False
-
-    security.declareProtected(View,"isRegisteredForCurrentLevel")
-    def isRegisteredForCurrentLevel(self):
-        """is the student registered for the current level"""
-        for l in  self.aq_parent.objectValues():
-            if l.portal_type == 'StudyLevel':
-                return True
-        return False
 
 InitializeClass(Student)
Index: WAeUP_SRP/trunk/profiles/default/types/Student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 445)
+++ WAeUP_SRP/trunk/profiles/default/types/Student.xml	(revision 446)
@@ -12,9 +12,7 @@
  <property name="filter_content_types">True</property>
  <property name="allowed_content_types">
-  <element value="Jamb"/>
   <element value="StudentDocuments"/>
   <element value="StudentPersonal"/>
   <element value="StudentStudyCourse"/>
-  <element value="StudyLevel"/>
  </property>
  <property name="allow_discussion">False</property>
@@ -36,23 +34,8 @@
  <alias from="(Default)" to="academics_contents"/>
  <alias from="view" to="academics_contents"/>
- <action title="Standard View" action_id="view" category="object"
-    condition_expr="python:object.getContent().memberIsOwner() or (member and 'SectionManager'in member.getRoles())"
+ <action title="View" action_id="view" category="object"
+    condition_expr=""
     url_expr="string:${object_url}/academics_contents" visible="True">
   <permission value="View"/>
  </action>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
-  <permission value="University Manage"/>
- </action>
- <action title="Delegate" action_id="localroles" category="object"
-    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="False">
-  <permission value="Modify portal content"/>
- </action>
- <action title="Personal Data" action_id="PERSONAL" category="object"
-    condition_expr="python: object.getContent().memberIsOwner() and getattr(object,'PERSONAL',None)"
-    url_expr="string:${object/absolute_url}/PERSONAL" visible="True">
-  <permission value="Modify portal content"/>
- </action>
 </object>