Index: /WAeUP_SRP/trunk/Students.py
===================================================================
--- /WAeUP_SRP/trunk/Students.py	(revision 452)
+++ /WAeUP_SRP/trunk/Students.py	(revision 453)
@@ -112,8 +112,12 @@
                 dc = {'Title': 'Clearance Data'}
                 dc['matric_no'] = matric_no
-                lga = student.get('State') + ' / ' + student.get('LGA')               
+                lga = student.get('State') + ' / ' + student.get('LGA')
                 dc['lga'] = lga
                 dc['nationality'] = student.get('Nationality')
                 dc['email'] = student.get('Emailaddress')
+                css = student.get('CurrentSession') or '2004-2005'
+                cs = int(css.split('-')[0]) - 2000
+                cl = int(student.get('StudentLevel'))/100
+                dc['entry_session'] = "200%s" % (cs - cl)                
                 d['firstname'] = student.get('FirstName')
                 d['middlename'] = student.get('MiddleName')
@@ -138,9 +142,5 @@
                 #d['faculty'] = student.get('Faculty')
                 #d['department'] = student.get('Dept')
-                d['course_major'] = certcode
-                css = student.get('CurrentSession') or '2004-2005'
-                cs = int(css.split('-')[0]) - 2000
-                cl = int(student.get('StudentLevel'))/100
-                d['entry_session'] = "200%s" % (cs - cl)
+                d['study_course'] = certcode
                 sc.getContent().edit(mapping=d)
                 #
@@ -379,5 +379,5 @@
         """compose title"""
         content = self.getContent()
-        return "Course Major"
+        return "Study Course"
 
 
@@ -426,5 +426,5 @@
         """compose title"""
         return "Level %s" % self.aq_parent.getId()
-    
+
 
 InitializeClass(StudyLevel)
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 452)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 453)
@@ -4,72 +4,15 @@
  <property name="layout_edit_method"></property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_default_</property>
+ <property name="style_prefix">layout_waeup_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <widget name="course_major" meta_type="String Widget">
-  <property name="title">Course Major</property>
+ <widget name="study_course" meta_type="String Widget">
+  <property name="title">Certificate Code</property>
   <property name="fields">
-   <element value="course_major"/>
+   <element value="study_course"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Course Major</property>
-  <property name="label_edit">Course Major</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="department" meta_type="Select Widget">
-  <property name="title">Department</property>
-  <property name="fields">
-   <element value="department"/>
-  </property>
-  <property name="label">Department</property>
-  <property name="label_edit">Department</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">get_departments_voc</property>
- </widget>
- <widget name="entry_reg_no" meta_type="String Widget">
-  <property name="title">Entry Registration No</property>
-  <property name="fields">
-   <element value="entry_reg_no"/>
-  </property>
-  <property name="label">Entry Registration No</property>
-  <property name="label_edit">Entry Registration No</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="entry_session" meta_type="String Widget">
-  <property name="title">Entry Session</property>
-  <property name="fields">
-   <element value="entry_session"/>
-  </property>
-  <property name="label">Entry Session</property>
-  <property name="label_edit">Entry Session</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="faculty" meta_type="Select Widget">
-  <property name="title">Faculty</property>
-  <property name="fields">
-   <element value="faculty"/>
-  </property>
-  <property name="label">Faculty</property>
-  <property name="label_edit">Faculty</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">get_faculties_voc</property>
- </widget>
- <widget name="matricel_no" meta_type="String Widget">
-  <property name="title">Matricel No</property>
-  <property name="fields">
-   <element value="matricel_no"/>
-  </property>
-  <property name="label">Matricel No</property>
-  <property name="label_edit">Matricel No</property>
+  <property name="label">Certificate Code</property>
+  <property name="label_edit">Certificate Code</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -78,20 +21,5 @@
  <table>
   <row>
-   <cell name="entry_reg_no"/>
-  </row>
-  <row>
-   <cell name="matricel_no"/>
-  </row>
-  <row>
-   <cell name="faculty"/>
-  </row>
-  <row>
-   <cell name="department"/>
-  </row>
-  <row>
-   <cell name="course_major"/>
-  </row>
-  <row>
-   <cell name="entry_session"/>
+   <cell name="study_course"/>
   </row>
  </table>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml	(revision 452)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml	(revision 453)
@@ -1,6 +1,4 @@
 <?xml version="1.0"?>
 <object name="student_study_course" meta_type="CPS Schema">
- <field name="course_major" meta_type="CPS String Field"/>
- <field name="department" meta_type="CPS String Field"/>
- <field name="faculty" meta_type="CPS String Field"/>
+ <field name="study_course" meta_type="CPS String Field"/>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 452)
+++ /WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 453)
@@ -57,27 +57,48 @@
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
+  <type type_id="Jamb">
+   <bound-workflow workflow_id="waeup_base_wf"/>
+  </type>
+  <type type_id="Members Workspace">
+   <bound-workflow workflow_id="workspace_folder_wf"/>
+  </type>
+  <type type_id="ScratchCardBatch">
+   <bound-workflow workflow_id="section_folder_wf"/>
+  </type>
+  <type type_id="ScratchCardBatchesFolder">
+   <bound-workflow workflow_id="section_folder_wf"/>
+  </type>
+  <type type_id="Section">
+   <bound-workflow workflow_id="section_folder_wf"/>
+  </type>
   <type type_id="Semester">
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
   <type type_id="Student">
-   <bound-workflow workflow_id="section_folder_wf"/>
+   <bound-workflow workflow_id="waeup_student_wf"/>
+  </type>
+  <type type_id="StudentAdmission">
+   <bound-workflow workflow_id="waeup_student_wf"/>
+  </type>
+  <type type_id="StudentClearance">
+   <bound-workflow workflow_id="waeup_student_wf"/>
   </type>
   <type type_id="StudentDocuments">
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
-  <type type_id="StudentClearance">
+  <type type_id="StudentElegibility">
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
-  <type type_id="StudentAdmission">
-   <bound-workflow workflow_id="section_folder_wf"/>
+  <type type_id="StudentEligibility">
+   <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
   <type type_id="StudentPersonal">
-   <bound-workflow workflow_id="waeup_base_wf"/>
+   <bound-workflow workflow_id="waeup_student_wf"/>
   </type>
   <type type_id="StudentStudyCourse">
-   <bound-workflow workflow_id="waeup_base_wf"/>
+   <bound-workflow workflow_id="waeup_student_wf"/>
   </type>
   <type type_id="StudentsFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
+   <bound-workflow workflow_id="waeup_student_wf"/>
   </type>
   <type type_id="StudyLevel">
@@ -87,9 +108,6 @@
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
-  <type type_id="ScratchCardBatchesFolder">
-   <bound-workflow workflow_id="section_folder_wf"/>
-  </type>
-  <type type_id="ScratchCardBatch">
-   <bound-workflow workflow_id="section_folder_wf"/>
+  <type type_id="Workspace">
+   <bound-workflow workflow_id="workspace_folder_wf"/>
   </type>
  </bindings>