Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 462)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 463)
@@ -207,12 +207,45 @@
 
 InitializeClass(StudentIdWidget)
-
 widgetRegistry.register(StudentIdWidget)
 
-##Class StudentIdWidgetType(CPSWidgetType):
-##    """Student Id String widget type."""
-##    meta_type = "StudentId  Widget Type"
-##    cls = StudentIdWidget
-
+###)
+
+class JambRegNoWidget(CPSStringWidget): ###(
+    """ JambRegNo Widget"""
+    meta_type = "JambRegNo Widget"
+    digits = 8
+    digits_str = "N"*digits
+    letters = 2
+    letters_str = "L"*letters
+
+    def validate(self, datastructure, **kw):
+        """Validate datastructure and update datamodel."""
+
+        valid = CPSStringWidget.validate(self, datastructure, **kw)
+        if not valid:
+            return 0
+        else:
+            widget_id = self.getWidgetId()
+            value = datastructure[widget_id]
+            err = 0
+            if not (len(value) == self.digits + self.letters and value[:self.digits].isdigit() and value[self.digits:].isalpha()):
+                err = 'Invalid Registration Number in the format: %s%s with N = Number, L = Letter' % (self.digits_str,self.letters_str)
+            else:
+                search = self.portal_catalog({'meta_type': 'StudentAdmission',
+                                              'jamb_reg_no': value,
+                                              })
+                if len(search) < 1: 
+                    err = 'No JAMB data for %s' % (value)
+            if err:
+                datastructure.setError(widget_id, err)
+            else:
+                datamodel = datastructure.getDataModel()
+                datamodel[self.fields[0]] = value
+
+            return not err
+
+InitializeClass(JambRegNoWidget)
+
+widgetRegistry.register(JambRegNoWidget)
 ###)
 
Index: WAeUP_SRP/trunk/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 462)
+++ WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 463)
@@ -11,4 +11,5 @@
  <object name="faculty" meta_type="CPS Layout"/>
  <object name="student" meta_type="CPS Layout"/>
+ <object name="student_check_pin" meta_type="CPS Layout"/>
  <object name="student_study_course" meta_type="CPS Layout"/>
  <object name="student_admission" meta_type="CPS Layout"/>
Index: WAeUP_SRP/trunk/skins/waeup_student/check_admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/check_admission_form.pt	(revision 462)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;
-                   data_storage options/ds;
-                   jamb options/jamb/getContent|nothing;
-                   edition python:1;"
-                   >
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition edition|nothing;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-      <metal:block fill-slot="main">
-        <h1> Check Your Admission Status! </h1>
-        <div tal:replace="structure rendered_main" />
-          <p>Instructions :</p>
-          <ul>
-            <li>Buy an Admission Check Scratch Card </li> 
-            <li>Enter the PIN here </li> 
-            <li>Print the Admission Slip which is displayed if you are admitted by the Univesity</li>
-            <li>Buy a Clearance Scratch Card </li> 
-            <li>Proceed to the Clearance Eligibility Online Form and fill your O/L details </li> 
-            <li>Proceed to the Univesity with all original documents for clearance to finalize the clearance process </li>
-          </ul>
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/request_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/request_admission.py	(revision 462)
+++ WAeUP_SRP/trunk/skins/waeup_student/request_admission.py	(revision 463)
@@ -47,5 +47,5 @@
     if len(search) < 1:
         psm = "No JAMB record %s" % (jamb_id)
-        return context.check_admission_form(rendered = res,
+        return context.request_admission_form(rendered = res,
                                  psm = psm, 
                                  ds = ds,
@@ -55,9 +55,3 @@
 return student.acknowledge_slip()
 
-jamb = getattr(student,'admission')
-res = jamb.getContent().render(layout_id = 'admission_slip', 
-                               layout_mode = 'view',
-                               schema_id = 'jamb')
 
-return context.admission_slip_form(rendered = res, dict = ds)
-