Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 463)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 464)
@@ -2,33 +2,33 @@
 <action-icons>
  <action-icon category="object" action_id="view"
-              title="View" priority="0"
+              title="View" priority="10"
               icon_expr="actionicon_view.png"/>
  <action-icon category="object" action_id="new_content"
-              title="New" priority="1"
+              title="New" priority="0"
               icon_expr="actionicon_add.png"/>
  <action-icon category="object" action_id="contents"
-              title="Contents" priority="2"
+              title="Contents" priority="20"
               icon_expr="actionicon_manage_content.png"/>
  <action-icon category="object" action_id="preview"
-              title="Preview" priority="3"
+              title="Preview" priority="30"
               icon_expr="actionicon_preview_icon.png"/>
  <action-icon category="object" action_id="edit"
-              title="Edit" priority="4"
+              title="Edit" priority="100"
               icon_expr="actionicon_modify.png"/>
  <action-icon category="object" action_id="metadata"
-              title="Metadata" priority="5"
+              title="Metadata" priority="110"
               icon_expr="actionicon_metadata.png"/>
  <action-icon category="object" action_id="localroles"
-              title="Local Roles" priority="6"
+              title="Local Roles" priority="250"
               icon_expr="actionicon_user_roles.png"/>
  <action-icon category="object"
               action_id="activate_comments"
-              title="Authorize comments" priority="8"
+              title="Authorize comments" priority="130"
               icon_expr="actionicon_comments.png"/>
  <action-icon category="object" action_id="comment"
-              title="Add comment" priority="9"
+              title="Add comment" priority="140"
               icon_expr="actionicon_addcomment.png"/>
  <action-icon category="object" action_id="search_entry"
-              title="Search entry" priority="10"
+              title="Search entry" priority="0"
               icon_expr="actionicon_search.png"/>
  <action-icon category="object" action_id="new_entry"
@@ -36,57 +36,57 @@
               icon_expr="actionicon_add.png"/>
  <action-icon category="object" action_id="view_entry"
-              title="View entry" priority="10"
+              title="View entry" priority="0"
               icon_expr="actionicon_view.png"/>
  <action-icon category="object" action_id="edit_entry"
-              title="Edit entry" priority="10"
+              title="Edit entry" priority="100"
               icon_expr="actionicon_modify.png"/>
  <action-icon category="object" action_id="delete_entry"
-              title="Delete entry" priority="10"
+              title="Delete entry" priority="120"
               icon_expr="actionicon_reject.png"/>
  <action-icon category="object" action_id="edit_online"
-              title="Edit online" priority="11"
+              title="Edit online" priority="100"
               icon_expr="actionicon_edit_online.png"/>
  <action-icon category="folder" action_id="portlets"
-              title="Manage portlets" priority="0"
+              title="Manage portlets" priority="270"
               icon_expr="actionicon_manage_portlets.png"/>
  <action-icon category="workflow" action_id="copy_submit"
-              title="Submit" priority="0"
+              title="Submit" priority="70"
               icon_expr="actionicon_submit.png"/>
  <action-icon category="workflow" action_id="checkout_draft"
-              title="Version" priority="1"
+              title="Version" priority="150"
               icon_expr="actionicon_version.png"/>
  <action-icon category="workflow" action_id="status_history"
-              title="History" priority="2"
+              title="History" priority="260"
               icon_expr="actionicon_history.png"/>
  <action-icon category="workflow" action_id="retract"
-              title="Submit" priority="3"
+              title="Submit" priority="90"
               icon_expr="actionicon_retract.png"/>
  <action-icon category="workflow" action_id="approve"
-              title="Approve" priority="2"
+              title="Approve" priority="50"
               icon_expr="actionicon_validate.png"/>
  <action-icon category="workflow" action_id="reject"
-              title="Reject" priority="4"
+              title="Reject" priority="60"
               icon_expr="actionicon_reject.png"/>
  <action-icon category="workflow" action_id="expire"
-              title="Expire" priority="5"
+              title="Expire" priority="80"
               icon_expr="actionicon_expire.png"/>
  <action-icon category="workflow"
               action_id="delete_translation"
-              title="Delete translation" priority="6"
+              title="Delete translation" priority="190"
               icon_expr="actionicon_del_translation.png"/>
  <action-icon category="workflow" action_id="translate"
-              title="Translate" priority="6"
+              title="Translate" priority="180"
               icon_expr="actionicon_add_translation.png"/>
  <action-icon category="workflow" action_id="accept"
-              title="Accept" priority="7"
+              title="Accept" priority="50"
               icon_expr="actionicon_publish.png"/>
  <action-icon category="workflow" action_id="unpublish"
-              title="Unpublish" priority="7"
+              title="Unpublish" priority="70"
               icon_expr="actionicon_unpublish.png"/>
  <action-icon category="workflow" action_id="abandon_draft"
-              title="Give up revision" priority="8"
+              title="Give up revision" priority="170"
               icon_expr="actionicon_version_reject.png"/>
  <action-icon category="workflow" action_id="checkin_draft"
-              title="Checkin revision" priority="10"
+              title="Checkin revision" priority="160"
               icon_expr="actionicon_version_validate.png"/>
  <action-icon category="global" action_id="configThemes"
@@ -118,5 +118,4 @@
               icon_expr="actionicon_advanced_search.png"/>
  <action-icon category="global_header" action_id="contact"
-              title="Contact" priority="3"
               icon_expr="actionicon_email.png"/>
  <action-icon category="user" action_id="login"
@@ -185,5 +184,6 @@
               action_id="import_fulltime_students_results"
               title="Import Fulltime Students Results"
-              priority="2" icon_expr="actionicon_submit.png"/>
+              priority="2" 
+              icon_expr="actionicon_submit.png"/>
  <action-icon category="import"
               action_id="import_jamb_data"
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_check_pin.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_check_pin.xml	(revision 464)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_check_pin.xml	(revision 464)
@@ -0,0 +1,38 @@
+<?xml version="1.0"?>
+<object name="student_check_pin" meta_type="CPS Layout">
+ <property name="layout_create_method">layout_check_pin_create</property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_default_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="jamb_id" meta_type="JambRegNo Widget">
+  <property name="title">Jamb Registration No</property>
+  <property name="fields">
+   <element value="jamb_reg_no"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label_edit">Enter Jamb Registration Nr</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="pin" meta_type="Scratchcard Pin Widget">
+  <property name="title">Scratchcard Pin</property>
+  <property name="fields">
+   <element value="app_ac_pin"/>
+  </property>
+  <property name="label_edit">Enter Scratch Card Pin</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <table>
+  <row>
+   <cell name="pin"/>
+  </row>
+  <row>
+   <cell name="jamb_id"/>
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types.xml	(revision 463)
+++ WAeUP_SRP/trunk/profiles/default/types.xml	(revision 464)
@@ -10,5 +10,4 @@
  <object name="Course" meta_type="CPS Flexible Type Information"/>
  <object name="CertificateCourse" meta_type="CPS Flexible Type Information"/>
- <object name="CourseTicket" meta_type="CPS Flexible Type Information"/>
  <object name="Department" meta_type="CPS Flexible Type Information"/>
  <object name="Faculty" meta_type="CPS Flexible Type Information"/>
@@ -20,6 +19,8 @@
  <object name="StudentStudyCourse" meta_type="CPS Flexible Type Information"/>
  <object name="StudentClearance" meta_type="CPS Flexible Type Information"/>
+ <object name="StudentCourseResult" meta_type="CPS Flexible Type Information"/>
  <object name="StudentPersonal" meta_type="CPS Flexible Type Information"/>
  <object name="StudentAdmission" meta_type="CPS Flexible Type Information"/>
+ <object name="StudentSemester" meta_type="CPS Flexible Type Information"/>
  <object name="StudentsFolder" meta_type="CPS Flexible Type Information"/>
  <object name="ScratchCardBatchesFolder" meta_type="CPS Flexible Type Information"/>
Index: WAeUP_SRP/trunk/profiles/default/types/CourseTicket.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CourseTicket.xml	(revision 463)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<?xml version="1.0"?>
-<object name="CourseTicket" meta_type="CPS Flexible Type Information"
-   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title">WAeUP Course Ticket</property>
- <property name="description"></property>
- <property name="content_icon"></property>
- <property name="content_meta_type">CourseTicket</property>
- <property name="product">WAeUP_SRP</property>
- <property name="factory">addCourseTicket</property>
- <property name="immediate_view">cpsdocument_view</property>
- <property name="global_allow">True</property>
- <property name="filter_content_types">True</property>
- <property name="allowed_content_types"/>
- <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type"></property>
- <property name="cps_display_as_document_in_listing">True</property>
- <property name="schemas">
-  <element value="course"/>
-  <element value="course_results"/>
- </property>
- <property name="layouts">
-  <element value="course_results"/>
- </property>
- <property name="layout_clusters"/>
- <property name="flexible_layouts"/>
- <property name="storage_methods"/>
- <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="academics_contents"/>
- <alias from="view" to="academics_contents"/>
- <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/academics_contents"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
-    visible="True">
-  <permission value="Modify portal content"/>
- </action>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 464)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 464)
@@ -0,0 +1,40 @@
+<?xml version="1.0"?>
+<object name="StudentCourseResult.xml" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP Course Ticket</property>
+ <property name="description"></property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">StudentCourseResult.xml</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addStudentCourseResult.xml</property>
+ <property name="immediate_view">cpsdocument_view</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types"/>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">True</property>
+ <property name="cps_proxy_type"></property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="course_results"/>
+ </property>
+ <property name="layouts">
+  <element value="course_results"/>
+ </property>
+ <property name="layout_clusters"/>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
+ <action title="Standard View" action_id="view" category="object"
+    condition_expr="" url_expr="string:${object_url}/academics_contents"
+    visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="action_edit" action_id="edit" category="object"
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_edit_form"
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml	(revision 464)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentSemester.xml	(revision 464)
@@ -0,0 +1,42 @@
+<?xml version="1.0"?>
+<object name="StudentSemester" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP StudentSemester Folder</property>
+ <property name="description"></property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">StudentSemester</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addStudentSemester</property>
+ <property name="immediate_view">folder_view</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types">
+  <element value="CourseResult"/>
+ </property>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">False</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+<element value="metadata"/>
+  </property>
+ <property name="layouts"/>
+ <property name="layout_clusters">
+  <element value=""/>
+ </property>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/academics_contents" visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="Add Course" action_id="new_entry" category="object"
+    condition_expr=""
+    url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 463)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 464)
@@ -65,5 +65,5 @@
  </action>
  <action title="FT Student Results"
-    action_id="import_fulltime_students_results" category="import"
+    action_id="import_full_time_students_results" category="import"
     condition_expr=""
     url_expr="string:${object_url}/loadFullTimeStudentsResultsFromCSV"
Index: WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 463)
+++ WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 464)
@@ -41,7 +41,4 @@
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
-  <type type_id="CourseTicket">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
   <type type_id="CoursesFolder">
    <bound-workflow workflow_id="section_folder_wf"/>
@@ -80,13 +77,4 @@
    <bound-workflow workflow_id="waeup_student_wf"/>
   </type>
-  <type type_id="StudentDocuments">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="StudentElegibility">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
-  <type type_id="StudentEligibility">
-   <bound-workflow workflow_id="waeup_base_wf"/>
-  </type>
   <type type_id="StudentPersonal">
    <bound-workflow workflow_id="waeup_student_wf"/>
@@ -94,4 +82,7 @@
   <type type_id="StudentStudyCourse">
    <bound-workflow workflow_id="section_folder_wf"/>
+  </type>
+  <type type_id="StudentCourseResult">
+   <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
   <type type_id="StudentsFolder">
@@ -104,4 +95,7 @@
    <bound-workflow workflow_id="section_folder_wf"/>
   </type>
+  <type type_id="StudentSemester">
+   <bound-workflow workflow_id="section_folder_wf"/>
+  </type>
   <type type_id="University">
    <bound-workflow workflow_id="section_folder_wf"/>