Index: WAeUP_SRP/trunk/profiles/default/layouts/student_admission.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_admission.xml	(revision 464)
+++ 	(revision )
@@ -1,329 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_admission" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
-
- <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Application PIN</property>
-  <property name="fields">
-   <element value="app_ac_pin"/>
-  </property>
-  <property name="is_required"></property>
-  <property name="label">Application PIN</property>
-  <property name="label_edit">Application PIN</property>
-  <property
-     name="help"></property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="size_max">12</property>
- </widget>
-
- <widget name="jamb_reg_no" meta_type="StudentId Widget">
-  <property name="title">JAMB Registration Number</property>
-  <property name="fields">
-   <element value="jamb_reg_no"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">JAMB Registration Number</property>
-  <property name="label_edit">JAMB Registration Number</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
-  <property name="size_max">10</property>
- </widget>
-
- <widget name="jamb_firstname" meta_type="String Widget">
-  <property name="title">JAMB First Name</property>
-  <property name="fields">
-   <element value="jamb_firstname"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">JAMB First Name</property>
-  <property name="label_edit">JAMB First Name</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_lastname" meta_type="String Widget">
-  <property name="title">JAMB Lastname</property>
-  <property name="fields">
-   <element value="jamb_lastname"/>
-  </property>
-  <property name="label">JAMB Lastname</property>
-  <property name="label_edit">JAMB Lastname</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_middlename" meta_type="String Widget">
-  <property name="title">JAMB Middle Name</property>
-  <property name="fields">
-   <element value="jamb_middlename"/>
-  </property>
-  <property name="label">JAMB Middl Name</property>
-  <property name="label_edit">JAMB Middle Name</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- 
- <widget name="entry_mode" meta_type="String Widget">
-  <property name="title">Mode of Entry</property>
-  <property name="fields">
-   <element value="entry_mode"/>
-  </property>
-  <property name="label">Mode of Entry</property>
-  <property name="label_edit">Mode of Entry</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget> 
-
- <widget name="jamb_sex" meta_type="Boolean Widget">
-  <property name="title">JAMB Sex</property>
-  <property name="fields">
-   <element value="jamb_sex"/>
-  </property>
-  <property name="label">JAMB Sex</property>
-  <property name="label_edit">JAMB Sex</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="label_false">male</property>
-  <property name="label_true">female</property>
- </widget>
-
- <widget name="jamb_age" meta_type="Int Widget">
-  <property name="title">JAMB Age</property>
-  <property name="fields">
-   <element value="jamb_age"/>
-  </property>
-  <property name="label">JAMB Age</property>
-  <property name="label_edit">JAMB Age</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_state" meta_type="String Widget">
-  <property name="title">JAMB State</property>
-  <property name="fields">
-   <element value="jamb_state"/>
-  </property>
-  <property name="label">JAMB State</property>
-  <property name="label_edit">JAMB State</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_lga" meta_type="String Widget">
-  <property name="title">JAMB Local Government Area</property>
-  <property name="fields">
-   <element value="jamb_lga"/>
-  </property>
-  <property name="label">JAMB Local Government Area</property>
-  <property name="label_edit">JAMB Local Government Area</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_score" meta_type="String Widget">
-  <property name="title">JAMB Score</property>
-  <property name="fields">
-   <element value="jamb_score"/>
-  </property>
-  <property name="label">JAMB Score</property>
-  <property name="label_edit">JAMB Score</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_first_cos" meta_type="String Widget">
-  <property name="title">JAMB First Choice Course of Study</property>
-  <property name="fields">
-   <element value="jamb_first_cos"/>
-  </property>
-  <property name="label">JAMB First Choice Course of Study</property>
-  <property name="label_edit">JAMB First Choice Course of Study</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_second_cos" meta_type="String Widget">
-  <property name="title">JAMB Second Choice Course of Study</property>
-  <property name="fields">
-   <element value="jamb_second_cos"/>
-  </property>
-  <property name="label">JAMB Second Choice Course of Study</property>
-  <property name="label_edit">JAMB Second Choice Course of Study</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_first_uni" meta_type="String Widget">
-  <property name="title">JAMB First Choice University</property>
-  <property name="fields">
-   <element value="jamb_first_uni"/>
-  </property>
-  <property name="label">JAMB First Choice University</property>
-  <property name="label_edit">JAMB First Choice University</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="jamb_second_uni" meta_type="String Widget">
-  <property name="title">JAMB Second Choice University</property>
-  <property name="fields">
-   <element value="jamb_second_uni"/>
-  </property>
-  <property name="label">JAMB Second Choice University</property>
-  <property name="label_edit">JAMB Second Choice University</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="pume_gen_paper" meta_type="String Widget">
-  <property name="title">PUME General Paper</property>
-  <property name="fields">
-   <element value="pume_gen_paper"/>
-  </property>
-  <property name="label">PUME General Paper</property>
-  <property name="label_edit">PUME General Paper</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="pume_eng_score" meta_type="String Widget">
-  <property name="title">PUME English Score</property>
-  <property name="fields">
-   <element value="pume_eng_score"/>
-  </property>
-  <property name="label">PUME English Score</property>
-  <property name="label_edit">PUME English Score</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="pume_math_score" meta_type="String Widget">
-  <property name="title">PUME Mathematics Score</property>
-  <property name="fields">
-   <element value="pume_math_score"/>
-  </property>
-  <property name="label">PUME Mathematics Score</property>
-  <property name="label_edit">PUME Mathematics Score</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="pume_tot_score" meta_type="String Widget">
-  <property name="title">PUME Total Score</property>
-  <property name="fields">
-   <element value="pume_tot_score"/>
-  </property>
-  <property name="label">PUME Total Score</property>
-  <property name="label_edit">PUME Total Score</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <widget name="passport" meta_type="Image Widget">
-  <property name="title">Passport Picture</property>
-  <property name="fields">
-   <element value="passport"/>
-  </property>
-  <property name="label">Passport Picture</property>
-  <property name="label_edit">Passport Picture</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="help">Upload passport photograph with red background</property>
-  <property name="size_max">204800</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
-  <property name="allow_resize">True</property>
- </widget>
-
- <table>
-  <row>
-   <cell name="app_ac_pin"/>
-  </row>
-  <row>
-   <cell name="jamb_reg_no"/>
-  </row>
-  <row>
-   <cell name="jamb_firstname"/>
-  </row>
-  <row>
-   <cell name="jamb_middlename"/>
-  </row>
-  <row>
-   <cell name="jamb_lastname"/>
-  </row>
-  <row>
-   <cell name="jamb_sex"/>
-  </row>
-  <row>
-   <cell name="jamb_age"/>
-  </row>
-  <row>
-   <cell name="jamb_state"/>
-  </row>
-  <row>
-   <cell name="jamb_lga"/>
-  </row>
-  <row>
-   <cell name="jamb_score"/>
-  </row>
-  <row>
-   <cell name="jamb_first_cos"/>
-  </row>
-  <row>
-   <cell name="jamb_second_cos"/>
-  </row>
-  <row>
-   <cell name="jamb_first_uni"/>
-  </row>
-  <row>
-   <cell name="jamb_second_uni"/>
-  </row>
-  <row>
-   <cell name="pume_gen_paper"/>
-  </row>
-  <row>
-   <cell name="pume_eng_score"/>
-  </row>
-  <row>
-   <cell name="pume_math_score"/>
-  </row>
-  <row>
-   <cell name="pume_tot_score"/>
-  </row>
-  <row>
-   <cell name="passport"/>
-  </row>
- </table>
-
-</object>
-
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_admission_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_admission_fe.xml	(revision 464)
+++ 	(revision )
@@ -1,76 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_admission_fe" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
-
- <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Application PIN</property>
-  <property name="fields">
-   <element value="app_ac_pin"/>
-  </property>
-  <property name="is_required"></property>
-  <property name="label">Application PIN</property>
-  <property name="label_edit">Application PIN</property>
-  <property
-     name="help"></property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="size_max">12</property>
- </widget>
-
- <widget name="jamb_reg_no" meta_type="StudentId Widget">
-  <property name="title">JAMB Registration Number</property>
-  <property name="fields">
-   <element value="jamb_reg_no"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">JAMB Registration Number</property>
-  <property name="label_edit">JAMB Registration Number</property>
-    <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
-  <property name="size_max">10</property>
- </widget>
-
- <widget name="passport" meta_type="Image Widget">
-  <property name="title">Passport Picture</property>
-  <property name="fields">
-   <element value="passport"/>
-  </property>
-  <property name="label">Passport Picture</property>
-  <property name="label_edit">Passport Picture</property>
-    <property name="readonly_layout_modes">
-   <element value=""/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="help">Upload passport photograph with red background</property>
-  <property name="size_max">204800</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
-  <property name="allow_resize">True</property>
- </widget>
-
- <table>
-  <row>
-   <cell name="app_ac_pin"/>
-  </row>
-  <row>
-   <cell name="jamb_reg_no"/>
-  </row>
-  <row>
-   <cell name="passport"/>
-  </row>
- </table>
-
-</object>
-
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 472)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 472)
@@ -0,0 +1,327 @@
+<?xml version="1.0"?>
+<object name="student_application" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+
+ <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
+  <property name="title">Application PIN</property>
+  <property name="fields">
+   <element value="app_ac_pin"/>
+  </property>
+  <property name="is_required"></property>
+  <property name="label">Application PIN</property>
+  <property name="label_edit">Application PIN</property>
+  <property
+     name="help"></property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="size_max">12</property>
+ </widget>
+
+ <widget name="jamb_reg_no" meta_type="StudentId Widget">
+  <property name="title">JAMB Registration Number</property>
+  <property name="fields">
+   <element value="jamb_reg_no"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">JAMB Registration Number</property>
+  <property name="label_edit">JAMB Registration Number</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+  <property name="size_max">10</property>
+ </widget>
+
+ <widget name="jamb_firstname" meta_type="String Widget">
+  <property name="title">JAMB First Name</property>
+  <property name="fields">
+   <element value="jamb_firstname"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">JAMB First Name</property>
+  <property name="label_edit">JAMB First Name</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_lastname" meta_type="String Widget">
+  <property name="title">JAMB Lastname</property>
+  <property name="fields">
+   <element value="jamb_lastname"/>
+  </property>
+  <property name="label">JAMB Lastname</property>
+  <property name="label_edit">JAMB Lastname</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_middlename" meta_type="String Widget">
+  <property name="title">JAMB Middle Name</property>
+  <property name="fields">
+   <element value="jamb_middlename"/>
+  </property>
+  <property name="label">JAMB Middl Name</property>
+  <property name="label_edit">JAMB Middle Name</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="entry_mode" meta_type="String Widget">
+  <property name="title">Mode of Entry</property>
+  <property name="fields">
+   <element value="entry_mode"/>
+  </property>
+  <property name="label">Mode of Entry</property>
+  <property name="label_edit">Mode of Entry</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_sex" meta_type="String Widget">
+  <property name="title">JAMB Sex</property>
+  <property name="fields">
+   <element value="jamb_sex"/>
+  </property>
+  <property name="label">JAMB Sex</property>
+  <property name="label_edit">JAMB Sex</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_age" meta_type="Int Widget">
+  <property name="title">JAMB Age</property>
+  <property name="fields">
+   <element value="jamb_age"/>
+  </property>
+  <property name="label">JAMB Age</property>
+  <property name="label_edit">JAMB Age</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_state" meta_type="String Widget">
+  <property name="title">JAMB State</property>
+  <property name="fields">
+   <element value="jamb_state"/>
+  </property>
+  <property name="label">JAMB State</property>
+  <property name="label_edit">JAMB State</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_lga" meta_type="String Widget">
+  <property name="title">JAMB Local Government Area</property>
+  <property name="fields">
+   <element value="jamb_lga"/>
+  </property>
+  <property name="label">JAMB Local Government Area</property>
+  <property name="label_edit">JAMB Local Government Area</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_score" meta_type="String Widget">
+  <property name="title">JAMB Score</property>
+  <property name="fields">
+   <element value="jamb_score"/>
+  </property>
+  <property name="label">JAMB Score</property>
+  <property name="label_edit">JAMB Score</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_first_cos" meta_type="String Widget">
+  <property name="title">JAMB First Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_first_cos"/>
+  </property>
+  <property name="label">JAMB First Choice Course of Study</property>
+  <property name="label_edit">JAMB First Choice Course of Study</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_second_cos" meta_type="String Widget">
+  <property name="title">JAMB Second Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_second_cos"/>
+  </property>
+  <property name="label">JAMB Second Choice Course of Study</property>
+  <property name="label_edit">JAMB Second Choice Course of Study</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_first_uni" meta_type="String Widget">
+  <property name="title">JAMB First Choice University</property>
+  <property name="fields">
+   <element value="jamb_first_uni"/>
+  </property>
+  <property name="label">JAMB First Choice University</property>
+  <property name="label_edit">JAMB First Choice University</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_second_uni" meta_type="String Widget">
+  <property name="title">JAMB Second Choice University</property>
+  <property name="fields">
+   <element value="jamb_second_uni"/>
+  </property>
+  <property name="label">JAMB Second Choice University</property>
+  <property name="label_edit">JAMB Second Choice University</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="pume_gen_paper" meta_type="String Widget">
+  <property name="title">PUME General Paper</property>
+  <property name="fields">
+   <element value="pume_gen_paper"/>
+  </property>
+  <property name="label">PUME General Paper</property>
+  <property name="label_edit">PUME General Paper</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="pume_eng_score" meta_type="String Widget">
+  <property name="title">PUME English Score</property>
+  <property name="fields">
+   <element value="pume_eng_score"/>
+  </property>
+  <property name="label">PUME English Score</property>
+  <property name="label_edit">PUME English Score</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="pume_math_score" meta_type="String Widget">
+  <property name="title">PUME Mathematics Score</property>
+  <property name="fields">
+   <element value="pume_math_score"/>
+  </property>
+  <property name="label">PUME Mathematics Score</property>
+  <property name="label_edit">PUME Mathematics Score</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="pume_tot_score" meta_type="String Widget">
+  <property name="title">PUME Total Score</property>
+  <property name="fields">
+   <element value="pume_tot_score"/>
+  </property>
+  <property name="label">PUME Total Score</property>
+  <property name="label_edit">PUME Total Score</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="passport" meta_type="Image Widget">
+  <property name="title">Passport Picture</property>
+  <property name="fields">
+   <element value="passport"/>
+  </property>
+  <property name="label">Passport Picture</property>
+  <property name="label_edit">Passport Picture</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="help">Upload passport photograph with red background</property>
+  <property name="size_max">204800</property>
+  <property name="display_width">300</property>
+  <property name="display_height">600</property>
+  <property name="allow_resize">True</property>
+ </widget>
+
+ <table>
+  <row>
+   <cell name="app_ac_pin"/>
+  </row>
+  <row>
+   <cell name="jamb_reg_no"/>
+  </row>
+  <row>
+   <cell name="jamb_firstname"/>
+  </row>
+  <row>
+   <cell name="jamb_middlename"/>
+  </row>
+  <row>
+   <cell name="jamb_lastname"/>
+  </row>
+  <row>
+   <cell name="jamb_sex"/>
+  </row>
+  <row>
+   <cell name="jamb_age"/>
+  </row>
+  <row>
+   <cell name="jamb_state"/>
+  </row>
+  <row>
+   <cell name="jamb_lga"/>
+  </row>
+  <row>
+   <cell name="jamb_score"/>
+  </row>
+  <row>
+   <cell name="jamb_first_cos"/>
+  </row>
+  <row>
+   <cell name="jamb_second_cos"/>
+  </row>
+  <row>
+   <cell name="jamb_first_uni"/>
+  </row>
+  <row>
+   <cell name="jamb_second_uni"/>
+  </row>
+  <row>
+   <cell name="pume_gen_paper"/>
+  </row>
+  <row>
+   <cell name="pume_eng_score"/>
+  </row>
+  <row>
+   <cell name="pume_math_score"/>
+  </row>
+  <row>
+   <cell name="pume_tot_score"/>
+  </row>
+  <row>
+   <cell name="passport"/>
+  </row>
+ </table>
+
+</object>
+
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 472)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 472)
@@ -0,0 +1,76 @@
+<?xml version="1.0"?>
+<object name="student_application_fe" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+
+ <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
+  <property name="title">Application PIN</property>
+  <property name="fields">
+   <element value="app_ac_pin"/>
+  </property>
+  <property name="is_required"></property>
+  <property name="label">Application PIN</property>
+  <property name="label_edit">Application PIN</property>
+  <property
+     name="help"></property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="size_max">12</property>
+ </widget>
+
+ <widget name="jamb_reg_no" meta_type="StudentId Widget">
+  <property name="title">JAMB Registration Number</property>
+  <property name="fields">
+   <element value="jamb_reg_no"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">JAMB Registration Number</property>
+  <property name="label_edit">JAMB Registration Number</property>
+    <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">10</property>
+  <property name="size_max">10</property>
+ </widget>
+
+ <widget name="passport" meta_type="Image Widget">
+  <property name="title">Passport Picture</property>
+  <property name="fields">
+   <element value="passport"/>
+  </property>
+  <property name="label">Passport Picture</property>
+  <property name="label_edit">Passport Picture</property>
+    <property name="readonly_layout_modes">
+   <element value=""/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="help">Upload passport photograph with red background</property>
+  <property name="size_max">204800</property>
+  <property name="display_width">300</property>
+  <property name="display_height">600</property>
+  <property name="allow_resize">True</property>
+ </widget>
+
+ <table>
+  <row>
+   <cell name="app_ac_pin"/>
+  </row>
+  <row>
+   <cell name="jamb_reg_no"/>
+  </row>
+  <row>
+   <cell name="passport"/>
+  </row>
+ </table>
+
+</object>
+