Index: WAeUP_SRP/trunk/skins/waeup_academics/department_index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_index_html.py	(revision 472)
+++ 	(revision )
@@ -1,13 +1,0 @@
-##parameters=psm=None, REQUEST=None
-
-# $Id$
-
-"""Default view for a Faculty."""
-member = context.portal_membership.getAuthenticatedMember()
-if not context.portal_membership.isAnonymousUser():
-    roles = member.getRoles()
-    if 'Manager' in roles:
-        return context.folder_view()
-    elif 'StudentManager' in roles:
-        return context.department_view_manager()
-return context.department_view_student()
Index: WAeUP_SRP/trunk/skins/waeup_academics/department_view_manager.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_view_manager.pt	(revision 472)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="department here/getContent;
-               items here/contentValues"
-               >
-    <span>
-      <h2 tal:content="department/title_or_id"></h2>
-      <p tal:content="department/Description">
-      </p>
-      <br />
-      
-      <table cellspacing="0" cellpadding="0">
-        <tal:block condition="python: len(items)">
-          <tr tal:repeat="item items">
-            <td colspan="1">
-              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-            </td>
-          </tr>
-        </tal:block>
-        <tr tal:condition="python:not len(items)">
-          <td>
-            no courses yet !
-          </td>
-        </tr>
-      </table>
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/department_view_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/department_view_student.pt	(revision 472)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="department here/getContent;
-               items here/contentValues"
-               >
-    <span>
-      <h2 tal:content="department/title_or_id"></h2>
-      <p tal:content="department/Description">
-      </p>
-      <br />
-      
-      <table cellspacing="0" cellpadding="0">
-        <tal:block condition="python: len(items)">
-          <tr tal:repeat="item items">
-            <td colspan="1">
-              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-            </td>
-          </tr>
-        </tal:block>
-        <tr tal:condition="python:not len(items)">
-          <td>
-            no courses yet !
-          </td>
-        </tr>
-      </table>
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_contents.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_contents.pt	(revision 472)
+++ 	(revision )
@@ -1,135 +1,0 @@
-<metal:html tal:define="display_change request/change_display|nothing;
-                        params here/getDisplayParams;
-                        sort_by params/sort_by;
-                        direction params/direction;
-                        format string:detail_tab;
-                        displayed python:request.get('displayed', None);
-                       ">
-
-<metal:body use-macro="here/content_lib_master/macros/master">
-
-<metal:header metal:fill-slot="header">
-  <h1 tal:content="here/title_or_id">
-    Page Title
-  </h1>
-  <div tal:condition="nothing" id="bylineFolder"
-    class="ddefault">
-    <small>
-      <span metal:use-macro="here/content_lib_byline/macros/byline">By Me</span>
-    </small>
-  </div>
-  <a href="" accesskey="V"
-     style="display:none"
-     tal:attributes="href string:${context_url}/"></a>
-  <a href="" accesskey="N"
-     style="display:none"
-     tal:attributes="href string:${context_url}/folder_factories"></a>
-  <div style="text-align: right" tal:condition="python: False and (not here.isInWorkspace() or (here.isInWorkspace() and sort_by))">
-    <form action="" method="post"
-          tal:attributes="action string:${here_url}/changeDisplayParams">
-      <p>
-      <tal:block condition="python:not here.isInWorkspace()">
-        <metal:params use-macro="here/content_lib_display_params_form/macros/display_params_form" />
-        <input type="submit" value="button_apply" class="standalone"
-             i18n:attributes="value" />
-      </tal:block>
-      <tal:block condition="python:here.isInWorkspace() and sort_by">
-        <input type="hidden" name="display_order" value="None" />
-        <input type="submit" value="label_none" class="standalone"
-             i18n:attributes="value" />
-      </tal:block>
-      </p>
-    </form>
-  </div>
-</metal:header>
-
-<metal:main fill-slot="javascript_head_slot">
-  <tal:block tal:replace="nothing">
-    XXX Deactivated for CPS 3.4.0, will be re-enabled for 3.4.1
-    <script type="text/javascript" src="prototype.js"
-      tal:attributes="src string:${base_url}prototype.js"></script>
-    <script type="text/javascript" src="effects.js"
-      tal:attributes="src string:${base_url}effects.js"></script>
-    <script type="text/javascript" src="dragdrop.js"
-      tal:attributes="src string:${base_url}dragdrop.js"></script>
-    <script type="text/javascript" src="cpsdefault.js"
-      tal:attributes="src string:${base_url}cpsdefault.js"></script>
-  </tal:block>
-</metal:main>
-
-<metal:main fill-slot="main"
-  tal:define="list_here python:checkPerm('List folder contents', here);">
-
-  <div tal:condition="not: list_here"
-    tal:define="response request/RESPONSE;url here_url;">
-    <span tal:define="redirect python: response.redirect(url)"></span>
-  </div>
-
-  <form action="" method="post" class="group"
-        tal:attributes="action here_url"
-        tal:define="no_form python:not checkPerm('Modify portal content', here);
-
-                    nav_action string:folder_contents;
-                    items python:here.getFolderContents(displayed=displayed);">
-
-    <metal:block use-macro="here/academics_content_lib_display_contents/macros/display_contents" />
-
-    <table width="100%" cellspacing="0" cellpadding="2"
-      summary="contents of the folder"
-      class="folderButtons"
-      tal:define="can_add python:checkPerm('Add portal content', here);
-                  can_del python:checkPerm('Delete objects', here);">
-      <tr>
-        <td align="left" valign="top" rowspan="3"></td>
-        <td align="left" valign="top">
-          <span tal:condition="items">
-            <input type="button" value="button_select_all" class="context"
-                   onclick="someJavaScriptFunctionThatWillBeReplaced"
-                   i18n:attributes="value"
-                   tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                                   % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))" />
-          </span>
-          <span tal:condition="python: False and can_add">
-            <input type="submit" name="folder_cut:method" value="button_cut"
-                   class="context" i18n:attributes="value"
-                   tal:condition="can_del" />
-            <input type="submit" name="folder_copy:method" value="button_copy"
-              class="context" i18n:attributes="value" />
-          </span>
-          <span tal:condition="python:False and can_add and here.cb_dataValid()">
-            <input type="submit" name="folder_paste:method" value="button_paste"
-              class="context" i18n:attributes="value" />
-          </span>
-          <span tal:condition="can_del">
-            <input type="submit" name="folder_rename_form:method"
-              class="context" value="button_rename" i18n:attributes="value" />
-            <input type="submit" name="folder_delete:method" value="button_delete"
-              class="destructive" i18n:attributes="value"
-              tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-              (cpsmcat('description_confirm_delete'), )" />
-          </span>
-        </td>
-      </tr>
-      <tr tal:define="isWsManager python:checkPerm('Change subobjects order',
-                                                   here);"
-          tal:condition="python:False and isWsManager and sort_by is None">
-        <td>
-          <input type="submit" value="button_move_up" class="context moveUp"
-                 i18n:attributes="value" name="moveItemsUp:method" />
-          <input type="submit" value="button_move_down" class="context moveDown"
-                 i18n:attributes="value" name="moveItemsDown:method" />
-          <input type="submit" value="button_move_top" class="context moveTop"
-                 i18n:attributes="value" name="moveItemsTop:method" />
-          <input type="submit" value="button_move_bottom"
-                 class="context moveBottom"
-                 i18n:attributes="value" name="moveItemsBottom:method" />
-        </td>
-      </tr>
-    </table>
-  </form>
-</metal:main>
-
-<metal:sub fill-slot="sub"/>
-
-</metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_html.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_index_html.py	(revision 472)
+++ 	(revision )
@@ -1,14 +1,0 @@
-##parameters=psm=None, REQUEST=None
-
-# $Id$
-
-"""Default view for a Faculty."""
-member = context.portal_membership.getAuthenticatedMember()
-
-if not context.portal_membership.isAnonymousUser():
-    roles = member.getRoles()
-    if 'Manager' in roles:
-        return context.folder_view()
-    elif 'StudentManager' in roles:
-        return context.faculty_view_manager()
-return context.faculty_view_student()
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_view_manager.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_view_manager.pt	(revision 472)
+++ 	(revision )
@@ -1,40 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="faculty here/getContent;
-               items here/contentValues"
-               >
-    <h2 tal:content="faculty/title_or_id"></h2>
-    <p tal:content="faculty/Description"></p>
-    <span> 
-      <table cellspacing="0" cellpadding="0">
-        <tal:block condition="python: len(items)">
-          <tr tal:repeat="item items">
-            <td colspan="1">
-              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-            </td>
-          </tr>
-        </tal:block>
-        <tr tal:condition="python:not len(items)">
-          <td>
-            nothing yet !
-          </td>
-        </tr>
-      </table>
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/faculty_view_student.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/faculty_view_student.pt	(revision 472)
+++ 	(revision )
@@ -1,40 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-
-  <metal:block fill-slot="head_slot">
-    <tal:block tal:define="student here/getContent">
-    </tal:block>
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-          tal:attributes="href string:${base_url}student.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="faculty here/getContent;
-               items here/contentValues"
-               >
-    <h2 tal:content="faculty/title_or_id"></h2>
-    <p tal:content="faculty/Description"></p>
-    <span> 
-      <table cellspacing="0" cellpadding="0">
-        <tal:block condition="python: len(items)">
-          <tr tal:repeat="item items">
-            <td colspan="1">
-              <a href="student" tal:attributes="href item/absolute_url" tal:content="item/title_or_id"></a>
-            </td>
-          </tr>
-        </tal:block>
-        <tr tal:condition="python:not len(items)">
-          <td>
-            nothing yet !
-          </td>
-        </tr>
-      </table>
-    </span>
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_view.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_view.py	(revision 472)
+++ 	(revision )
@@ -1,13 +1,0 @@
-##parameters=psm=None
-# $Id: temporary_view_all.py 197 2006-02-08 12:47:31Z joachim $
-
-"""
-"""
-
-member = context.portal_membership.getAuthenticatedMember()
-uname = str(member)
-roles = member.getRoles()
-cat = context.portal_catalog
-request = context.REQUEST
-url0 = request.get('URL0')
-return context.level_view_form()
Index: WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/level_view_form.pt	(revision 472)
+++ 	(revision )
@@ -1,71 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="roles member/getRoles;
-               backend python:'UniversityManager' in roles or 'StudentManager' in roles;
-               frontend python:'Student' in roles or isAnon;
-               folder here/getContent;
-               items python:context.filterContents(items=context.contentValues());"
-               >
-    <h3><span tal:content="context/title_or_id" /></h3>  
-  
-    <tal:block condition="python: len(items)">  
-      <table>
-        <span tal:repeat="item items">
-          <span tal:define="courses python:item.filterContents(items=item.contentValues())">
-            <tr>
-              <th> <span tal:content="item/id" tal:omit-tag="" /> Semester
-              </th>
-            </tr>
-            <tr>
-              <th>Title
-              </th>
-              <th>
-              </th>
-              <th>Credits</th>
-              <th>Pass</th>
-            </tr>
-            <span tal:repeat="course courses">
-              <tr tal:define="info course/getContentInfo;
-                  wf_status info/review_state;
-                  wf_action python: test(wf_status == 'unchecked', 'approve', 'retract')">
-                <td align="center"><span tal:content="string: ${course/getId} ${course/Title}" tal:omit-tag=""/></td>
-                <td align="center" tal:content="python: test(path('course/core_or_elective'),'Core','elective')"></td>
-                <td align="center" tal:content="course/credits"></td>
-                <td align="center" tal:content="course/passmark"></td>
-                <td align="center" tal:content="wf_status"></td>
-                <td><a href="changestatus"
-                       tal:attributes="href string: ${course/absolute_url}/content_status_modify?workflow_action=${wf_action}"
-                       tal:content="string:[${wf_action}]"></a>
-                </td>
-                <td><a href="changestatus"
-                       tal:attributes="href string: ${course/absolute_url}/cpsdocument_edit_form">[edit]</a>
-                </td>
-                <td><a href="coures" tal:content="string:goto Course" 
-                       tal:attributes="href course/coursepath"></a>
-                </td>
-              </tr>
-            </span>
-            <tr> <td></td></tr>
-          </span>
-        </span>
-        </table>
-      </tal:block>
-    
-    <tal:block condition="python: not len(items)">
-        (No Courses yet!)
-    </tal:block>
-  
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>