Index: /WAeUP_SRP/trunk/skins/waeup_student/application.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application.py	(revision 475)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application.py	(revision 476)
@@ -30,10 +30,10 @@
                       )
 if psm == 'invalid':
-    return context.application_form(rendered = res,
+    return context.application_pin_form(rendered = res,
                                  psm = "Please correct your input",
                                  ds = ds,
                                  )
 elif psm == '':
-    return context.application_form(rendered = res,
+    return context.application_pin_form(rendered = res,
                                  psm = None,
                                  ds = ds,
@@ -48,5 +48,5 @@
     if len(search) < 1:
         psm = "No JAMB record %s" % (jamb_id)
-        return context.application_form(rendered = res,
+        return context.application_pin_form(rendered = res,
                                  psm = psm,
                                  ds = ds,
@@ -57,5 +57,5 @@
 student.invokeFactory('StudentPersonal','personal')
 # now display the passport form with jamb-data readonly
-return student.acknowledge_slip()
+return student.application_form()
 
 
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 475)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 476)
@@ -1,30 +1,50 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;
-                   data_storage options/ds;
-                   jamb options/jamb/getContent|nothing;
-                   edition python:1;"
-                   >
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition edition|nothing;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-      <metal:block fill-slot="main">
-        <h1>Apply for the Post University Matriculation Examination! </h1>
-        <div tal:replace="structure rendered_main" />
-          <p>Instructions :</p>
-          <ul>
-            <li>Buy an Application Scratch Card.</li> 
-            <li>Enter your JAMB registration number and the Application PIN above.</li> 
-            <li>Upload your passport picture.</li> 
-            <li>Print the Application Acknowledgement Slip.</li>
-          </ul>
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
+<html metal:use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="head_slot">
   </metal:block>
-</tal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="roles member/getRoles;
+               frontend python:'Student' in roles or isAnon;
+               folder here/getContent;"                              
+               >
+
+    <tal:block tal:condition="python:context.portal_type == 'Student'" tal:omit-tag="">  
+      <tal:block tal:define="
+                          appl python:here.application;
+                          appl_proxy python:appl.getContent();
+                          clear python:here.clearance;
+                          clear_proxy python:clear.getContent();
+                          pers python:here.personal;
+                          pers_proxy python:pers.getContent();"
+                          >
+
+      <h2>Acknowledgement Slip for <span tal:content="pers_proxy/firstname" /> <span tal:content="pers_proxy/lastname" /></h2>      
+  
+   
+      <tal:block tal:content="structure python:appl_proxy.render(cluster='appl_slip')" />
+      <tal:block tal:content="structure python:clear_proxy.render(cluster='appl_slip')" /> 
+      <tal:block tal:content="structure python:pers_proxy.render(cluster='appl_slip')" />
+
+
+      </tal:block>  
+    </tal:block>
+    <tal:block condition="python:context.portal_type != 'Student'">
+    
+      This is not a student object!
+    
+    </tal:block>  
+  
+  </metal:block>
+
+
+
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: /WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 476)
+++ /WAeUP_SRP/trunk/skins/waeup_student/application_pin_form.pt	(revision 476)
@@ -0,0 +1,30 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   jamb options/jamb/getContent|nothing;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+        <h1>Apply for the Post University Matriculation Examination! </h1>
+        <div tal:replace="structure rendered_main" />
+          <p>Instructions :</p>
+          <ul>
+            <li>Buy an Application Scratch Card.</li> 
+            <li>Enter your JAMB registration number and the Application PIN above.</li> 
+            <li>Upload your passport picture.</li> 
+            <li>Print the Application Acknowledgement Slip.</li>
+          </ul>
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: eUP_SRP/trunk/skins/waeup_student/application_status.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/application_status.py	(revision 475)
+++ 	(revision )
@@ -1,38 +1,0 @@
-##parameters=
-# $Id: application_status.py 71 2005-10-21 12:02:05Z joachim $
-"""
-search for admitted students
-return html renderer + psm
-"""
-##type_name = 'Jamb'
-##ti = context.portal_types[type_name]
-##
-##context.REQUEST.set('type_name',type_name)
-##
-##validate = REQUEST.has_key("cpsdocument_edit_button")
-
-request = context.REQUEST
-lt = context.portal_layouts
-catalog = context.portal_catalog
-
-rendered,psm,ds = lt.renderLayout(layout_id= 'application_status',
-                      schema_id= 'jamb',
-                      context=context,
-                      mapping=request,
-                      ob={},
-                      layout_mode='create',
-                      )
-qs = ds.get('quick_search')
-list = []
-if qs:
-    res = catalog(SearchableText = "%s*" % qs)
-    if res:
-        for i in res:
-            o = i.getObject()
-            if o.portal_type == 'Jamb':
-                list.append(o)
-return context.application_status_form(rendered = rendered,
-                                 psm = '',
-                                 list = list,
-                                 ds = ds
-                                 )