Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 476)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 477)
@@ -1,4 +1,4 @@
 <?xml version="1.0"?>
-<object name="student_application_fe" meta_type="CPS Layout">
+<object name="student_application" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
  <property name="layout_edit_method"></property>
@@ -19,7 +19,9 @@
      name="help"></property>
   <property name="readonly_layout_modes">
-   <element value="edit"/>
+     <element value="edit"/>
+  </property>     
+  <property name="hidden_layout_modes">
+   <element value="create"/>
   </property>
-  <property name="hidden_layout_modes"/>
   <property name="size_max">12</property>
  </widget>
@@ -33,6 +35,6 @@
   <property name="label">JAMB Registration Number</property>
   <property name="label_edit">JAMB Registration Number</property>
-    <property name="readonly_layout_modes">
-   <element value="edit"/>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
   </property>
   <property name="hidden_layout_modes"/>
@@ -41,4 +43,105 @@
   <property name="size_max">10</property>
  </widget>
+
+ <widget name="jamb_firstname" meta_type="String Widget">
+  <property name="title">JAMB First Name</property>
+  <property name="fields">
+   <element value="jamb_firstname"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Name</property>
+  <property name="label_edit"></property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_lastname" meta_type="String Widget">
+  <property name="title">JAMB Lastname</property>
+  <property name="fields">
+   <element value="jamb_lastname"/>
+  </property>
+  <property name="label"></property>
+  <property name="label_edit"></property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_middlename" meta_type="String Widget">
+  <property name="title">JAMB Middle Name</property>
+  <property name="fields">
+   <element value="jamb_middlename"/>
+  </property>
+  <property name="label"></property>
+  <property name="label_edit"></property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="entry_mode" meta_type="String Widget">
+  <property name="title">Mode of Entry</property>
+  <property name="fields">
+   <element value="entry_mode"/>
+  </property>
+  <property name="label">Mode of Entry</property>
+  <property name="label_edit">Mode of Entry</property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_sex" meta_type="String Widget">
+  <property name="title">JAMB Sex</property>
+  <property name="fields">
+   <element value="jamb_sex"/>
+  </property>
+  <property name="label">JAMB Sex</property>
+  <property name="label_edit">JAMB Sex</property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+ <widget name="jamb_first_cos" meta_type="String Widget">
+  <property name="title">JAMB First Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_first_cos"/>
+  </property>
+  <property name="label">JAMB First Choice Course of Study</property>
+  <property name="label_edit">JAMB First Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_second_cos" meta_type="String Widget">
+  <property name="title">JAMB Second Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_second_cos"/>
+  </property>
+  <property name="label">JAMB Second Choice Course of Study</property>
+  <property name="label_edit">JAMB Second Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+     <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
 
  <widget name="passport" meta_type="Image Widget">
@@ -49,7 +152,5 @@
   <property name="label">Passport Picture</property>
   <property name="label_edit">Passport Picture</property>
-    <property name="readonly_layout_modes">
-   <element value=""/>
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -69,8 +170,27 @@
   </row>
   <row>
+   <cell name="jamb_firstname"/>
+  </row>
+  <row>
+   <cell name="jamb_middlename"/>
+  </row>
+  <row>
+   <cell name="jamb_lastname"/>
+  </row>
+  <row>
+   <cell name="jamb_sex"/>
+  </row>
+  <row>
+   <cell name="jamb_first_cos"/>
+  </row>
+  <row>
+   <cell name="jamb_second_cos"/>
+  </row>
+  <row>
    <cell name="passport"/>
   </row>
  </table>
 
+
 </object>
 
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_check_pin.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_check_pin.xml	(revision 476)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_check_pin.xml	(revision 477)
@@ -13,5 +13,5 @@
   </property>
   <property name="is_required">True</property>
-  <property name="label_edit">Enter Jamb Registration Nr</property>
+  <property name="label_edit">Enter Jamb Registration Number</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -30,8 +30,8 @@
  <table>
   <row>
-   <cell name="pin"/>
+   <cell name="jamb_id"/>
   </row>
   <row>
-   <cell name="jamb_id"/>
+   <cell name="pin"/>
   </row>
  </table>
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_create.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_create.pt	(revision 476)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_create.pt	(revision 477)
@@ -1,2 +1,2 @@
 <tal:block define="global creation python:1" />
-<metal:block use-macro="here/layout_lib_default_edit/macros/default_edit" />
+<metal:block use-macro="here/layout_waeup_lib/macros/default_edit" />
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_edit.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_edit.pt	(revision 476)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_edit.pt	(revision 477)
@@ -1,1 +1,1 @@
-<metal:block use-macro="here/layout_lib_default_edit/macros/default_edit" />
+<metal:block use-macro="here/layout_waeup_lib/macros/default_edit" />
Index: WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 476)
+++ WAeUP_SRP/trunk/skins/waeup_default/layout_waeup_lib.pt	(revision 477)
@@ -27,7 +27,8 @@
 
 <!-- table view -->
+
 <metal:block define-macro="table_view"
              tal:define="layout options/layout">
-<table border="0">
+<table border="0" width=100%>
     <tal:block repeat="row layout/rows">
       <tr>
@@ -40,5 +41,5 @@
                  >
               <tal:block condition="widget/label">
-              <td valign="top">
+              <td valign="top" width=40%>
                 <span i18n:translate="" tal:condition="widget/is_i18n">
                     <span tal:content="widget/label" />:</span>
Index: WAeUP_SRP/trunk/skins/waeup_student/acknowledge_print.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/acknowledge_print.pt	(revision 476)
+++ 	(revision )
@@ -1,27 +1,0 @@
-<html>
-    <tal:block tal:condition="python:context.portal_type == 'Student'" tal:omit-tag="">  
-      <tal:block tal:define="
-                          appl python:here.application;
-                          appl_proxy python:appl.getContent();
-                          clear python:here.clearance;
-                          clear_proxy python:clear.getContent();
-                          pers python:here.personal;
-                          pers_proxy python:pers.getContent();"
-                          >
-
-      <h2>Acknowledgement Slip for <span tal:content="pers_proxy/firstname" /> <span tal:content="pers_proxy/lastname" /></h2>      
-  
-   
-      <tal:block  tal:content="structure python:appl_proxy.render(cluster='appl_slip')" />
-      <tal:block  tal:content="structure python:clear_proxy.render(cluster='appl_slip')" /> 
-      <tal:block  tal:content="structure python:pers_proxy.render(cluster='appl_slip')" />
-
-
-      </tal:block>  
-    </tal:block>
-    <tal:block condition="python:context.portal_type != 'Student'">
-    
-      This is not a student object!
-    
-    </tal:block>  
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_student/acknowledge_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/acknowledge_slip.pt	(revision 476)
+++ 	(revision )
@@ -1,50 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="roles member/getRoles;
-               frontend python:'Student' in roles or isAnon;
-               folder here/getContent;"                              
-               >
-
-    <tal:block tal:condition="python:context.portal_type == 'Student'" tal:omit-tag="">  
-      <tal:block tal:define="
-                          appl python:here.application;
-                          appl_proxy python:appl.getContent();
-                          clear python:here.clearance;
-                          clear_proxy python:clear.getContent();
-                          pers python:here.personal;
-                          pers_proxy python:pers.getContent();"
-                          >
-
-      <h2>Acknowledgement Slip for <span tal:content="pers_proxy/firstname" /> <span tal:content="pers_proxy/lastname" /></h2>      
-  
-   
-      <tal:block tal:content="structure python:appl_proxy.render(cluster='appl_slip')" />
-      <tal:block tal:content="structure python:clear_proxy.render(cluster='appl_slip')" /> 
-      <tal:block tal:content="structure python:pers_proxy.render(cluster='appl_slip')" />
-
-
-      </tal:block>  
-    </tal:block>
-    <tal:block condition="python:context.portal_type != 'Student'">
-    
-      This is not a student object!
-    
-    </tal:block>  
-  
-  </metal:block>
-
-
-
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: WAeUP_SRP/trunk/skins/waeup_student/application.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application.py	(revision 476)
+++ 	(revision )
@@ -1,61 +1,0 @@
-##parameters=REQUEST
-# $Id: application.py 173 2005-11-15 16:28:29Z joachim $
-"""
-process the Application Form
-return html renderer + psm
-"""
-import DateTime
-current = DateTime.DateTime()
-
-type_name = 'StudentApplication'
-
-ti = context.portal_types[type_name]
-
-REQUEST.set('type_name',type_name)
-
-validate = REQUEST.has_key("cpsdocument_edit_button")
-
-
-lt = context.portal_layouts
-pr = context.portal_registration
-
-res,psm,ds = lt.renderLayout(layout_id= 'student_check_pin',
-                      schema_id= 'student_application',
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "application",
-                      submit = "check",
-                      )
-if psm == 'invalid':
-    return context.application_pin_form(rendered = res,
-                                 psm = "Please correct your input",
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.application_pin_form(rendered = res,
-                                 psm = None,
-                                 ds = ds,
-                                 )
-elif psm == 'valid':
-    jamb_id = ds.get('jamb_id')
-    catalog = context.portal_catalog
-    search = catalog({'meta_type': 'StudentApplication',
-                     'jamb_reg_no': jamb_id
-                     })
-
-    if len(search) < 1:
-        psm = "No JAMB record %s" % (jamb_id)
-        return context.application_pin_form(rendered = res,
-                                 psm = psm,
-                                 ds = ds,
-                                 )
-application = search[0].getObject()
-student = application.aq_parent
-student.invokeFactory('StudentClearance','clearance')
-student.invokeFactory('StudentPersonal','personal')
-# now display the passport form with jamb-data readonly
-return student.application_form()
-
-
Index: WAeUP_SRP/trunk/skins/waeup_student/application_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 476)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_form.pt	(revision 477)
@@ -19,18 +19,14 @@
       <tal:block tal:define="
                           appl python:here.application;
-                          appl_proxy python:appl.getContent();
-                          clear python:here.clearance;
-                          clear_proxy python:clear.getContent();
-                          pers python:here.personal;
-                          pers_proxy python:pers.getContent();"
+                          appl_proxy python:appl.getContent();"
                           >
 
-      <h2>Acknowledgement Slip for <span tal:content="pers_proxy/firstname" /> <span tal:content="pers_proxy/lastname" /></h2>      
-  
+      <h2>Application Form for <span tal:content="appl_proxy/jamb_firstname" /> <span tal:content="appl_proxy/jamb_lastname" /></h2>      
    
-      <tal:block tal:content="structure python:appl_proxy.render(cluster='appl_slip')" />
-      <tal:block tal:content="structure python:clear_proxy.render(cluster='appl_slip')" /> 
-      <tal:block tal:content="structure python:pers_proxy.render(cluster='appl_slip')" />
-
+      <tal:block tal:content="structure python:appl_proxy.renderEdit(request=request, layout_id='student_application_fe', proxy=appl_proxy, layout_mode='edit')" />
+      
+      <tal:block tal:content="structure python:appl_proxy.renderEdit(layout_id='student_application_fe', layout_mode='view')" />
+            
+      <tal:block tal:content="structure python:appl_proxy.render(layout_id='student_application_fe')" />
 
       </tal:block>  
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 477)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 477)
@@ -0,0 +1,61 @@
+##parameters=REQUEST
+# $Id: apply_admission.py 173 2005-11-15 16:28:29Z joachim $
+"""
+process the Application Form
+return html renderer + psm
+"""
+import DateTime
+current = DateTime.DateTime()
+
+type_name = 'StudentApplication'
+
+ti = context.portal_types[type_name]
+
+REQUEST.set('type_name',type_name)
+
+validate = REQUEST.has_key("cpsdocument_edit_button")
+
+
+lt = context.portal_layouts
+pr = context.portal_registration
+
+res,psm,ds = lt.renderLayout(layout_id= 'student_check_pin',
+                      schema_id= 'student_application',
+                      context=context,
+                      mapping=validate and REQUEST,
+                      ob={},
+                      layout_mode='create',
+                      formaction = "apply_admission",
+                      submit = "check",
+                      )
+if psm == 'invalid':
+    return context.application_pin_form(rendered = res,
+                                 psm = "Please correct your input",
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.application_pin_form(rendered = res,
+                                 psm = None,
+                                 ds = ds,
+                                 )
+elif psm == 'valid':
+    jamb_id = ds.get('jamb_id')
+    catalog = context.portal_catalog
+    search = catalog({'meta_type': 'StudentApplication',
+                     'jamb_reg_no': jamb_id
+                     })
+
+    if len(search) < 1:
+        psm = "No JAMB record %s" % (jamb_id)
+        return context.application_pin_form(rendered = res,
+                                 psm = psm,
+                                 ds = ds,
+                                 )
+application = search[0].getObject()
+student = application.aq_parent
+student.invokeFactory('StudentClearance','clearance')
+student.invokeFactory('StudentPersonal','personal')
+# now display the passport form with jamb-data readonly
+return student.application_form()
+
+